# IAX2PacketIdList Class Reference

`#include <remote.h>`

## Protected Member Functions

void | RemoveOldContiguousValues ()

## Detailed Description

A class to store a unique identifing number, so we can keep track of all frames we have sent and received. This will be sued to keep the iseqno correct (for use in sent frames), and to ensure that we never send two frames with the same iseqno and timestamp pair.

## Member Function Documentation

void IAX2PacketIdList::RemoveOldContiguousValues | ( |  | ) | `[protected]`

Remove all the contiguous oldest values, which is used for determining the correct iseqno. This endpoints iseqno is determined from::: iseqno is�always highest_contiguously_recieved_oseq+1�

The documentation for this class was generated from the following file:

- remote.h